<?php
/**
 * mhandle_is_goal_admin.php - Menu event handle for testing goal admin access.
 *
 * @author $Author: wichai $
 * @version $Id: mhandle_is_goal_admin.php,v 1.4 2011/10/19 04:13:26 wichai Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/
require_once ('mhandle_base.php');

class mhandle_is_goal_admin extends mhandle_base {

	function invoke() {
		$this->CI->load->model('goal/goal_model');
		if ($this->CI->goal_model->is_goal_admin() ){
			return TRUE;
		}
		require_once ('mhandle_is_goal_system_admin.php');
		// Goal system admin has bigger permission than goal admin
		// So check goal system admin if not a goal admin
		$is_goal_sys_admin = new mhandle_is_goal_system_admin;
		return $is_goal_sys_admin->invoke();
	}

}